<div id="adminSeller">
  <div class="mb-2 lg:mb-0">
    <h1 class="text-lg font-semibold text-[#171717] leading-7">Summary</h1>
    <p class="text-gray-500 text-xs">{{currentDate}}</p>
  </div>
  <div
    id="hideBottomInput"
    class="flex flex-wrap justify-between items-center mb-4"
  >
    <div class="flex flex-wrap gap-2 items-center justify-end">
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'Today' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Today')"
        :disabled="disabledButtonDate == true"
      >
        Today
      </button>
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'Yesterday' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Yesterday')"
        :disabled="disabledButtonDate == true"
      >
        Yesterday
      </button>
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'This week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This week')"
        :disabled="disabledButtonDate == true"
      >
        This week
      </button>
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'This month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This month')"
        :disabled="disabledButtonDate == true"
      >
        This month
      </button>
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'Last month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Last month')"
        :disabled="disabledButtonDate == true"
      >
        Last month
      </button>
      <button
        class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter disabled:bg-gray-200 !max-w-[110px] w-full"
        :class="timeActive === 'This year' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This year')"
        :disabled="disabledButtonDate == true"
      >
        This year
      </button>
      <div class="filter-btns !max-w-[250px] w-full">
        <v-menu
          v-model="dateEndPicker"
          :nudge-left="80"
          nudge-bottom="10px"
          style="position: relative; z-index: 999"
          :close-on-content-click="false"
          transition="scale-transition"
          offset-y
          min-width="auto"
        >
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              v-model="dateRangeText"
              dense
              readonly
              v-bind="attrs"
              v-on="on"
              class="bg-white border border-1 px-4 py-1 min-w-[250px] mt-0"
              prepend-inner-icon="mdi-calendar-blank"
            >
            </v-text-field>
          </template>
          <v-date-picker
            v-model="dateArr"
            style="position: relative; z-index: 999"
            range
          >
            <v-spacer></v-spacer>
            <v-btn text color="primary" @click="dateEndPicker = false">
              Cancel
            </v-btn>
            <v-btn text color="primary" @click="onSearchByDate()"> OK </v-btn>
          </v-date-picker>
        </v-menu>
      </div>
      <div class="d-flex align-center">
        <div>
          <v-btn
            height="34px"
            color="#ffffff"
            id="buttonHover"
            class="elevation-0"
            @click="onRefresh()"
          >
            <div>
              <v-icon> mdi-reload </v-icon>
            </div>
          </v-btn>
        </div>
      </div>
    </div>
  </div>
  <div class="my-4" id="hideBottomInput">
    <div class="grid md:grid-cols-4 grid-cols-2 gap-2">
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-xs font-medium mb-2" style="color: #212b36">
          Sales from Marketing
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="lg:text-xl text-lg text-gray-900 mb-0">
          $1,060,135.76
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-xs font-medium mb-2" style="color: #212b36">
          Orders from Marketing
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="lg:text-xl text-lg text-gray-900 mb-0">30974</p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-xs font-medium mb-2" style="color: #212b36">
          Orders Cost
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="lg:text-xl text-lg text-gray-900 mb-0">$286,181.89</p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-xs font-medium mb-2" style="color: #212b36">
          Profit
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="lg:text-xl text-lg text-gray-900 mb-0">$773,953.87</p>
      </div>
    </div>
  </div>
  <div id="hideBottomInput">
    <h1 class="text-lg font-semibold text-[#171717] leading-7">Manage User</h1>
    <div class="rounded-lg border border-gray-border-common my-6 p-6 bg-white">
      <div class="d-flex justify-between items-center">
        <div class="d-md-flex items-center justify-between w-full">
          <div class="d-sm-flex mb-md-0 mb-2">
            <v-text-field
              dense
              outlined
              min="0"
              v-model.number="tip"
              type="number"
              placeholder="Enter your tip"
              prefix="$"
            >
            </v-text-field>

            <v-select
              dense
              outlined
              class="rounded-l-lg rounded-r-0 w-52 mr-3 form-resp"
              append-icon="mdi-chevron-down"
              :menu-props="{ bottom: true, offsetY: true }"
              placeholder="Active Status"
              :items="listStatus"
              @change="onGetListUser()"
              v-model="status"
              item-text="title"
              item-value="value"
              hide-details
            >
              <template v-slot:item="status">
                <template>
                  <v-list-item-content class="py-0">
                    <div class="px-4 py-2 w-auto !flex-none d-flex gap-2">
                      {{status.item.title}}
                    </div>
                  </v-list-item-content>
                </template>
              </template>
            </v-select>
            <v-text-field
              prepend-inner-icon="mdi-magnify"
              v-model="config.search"
              class="rounded-r-lg rounded-l-0 w-60 form-resp mt-sm-0 mt-2"
              placeholder="Search by name"
              outlined
              dense
              hide-details
              @keup.enter="onGetListUser()"
              v-debounce:1500ms="onGetListUser"
            ></v-text-field>
          </div>
          <v-btn
            depressed
            color="blue"
            class="!capitalize !text-white !h-10"
            @click="openDialogAddAdmin()"
          >
            <v-icon left class="!text-base">mdi-account-plus-outline</v-icon>
            Add New Admins
          </v-btn>
        </div>
      </div>
    </div>
    <div>
      <v-card class="ui-card rounded-t-lg pb-10">
        <v-skeleton-loader
          class="mx-auto mt-10"
          width="100%"
          type="card"
          v-if="loadingTable"
        >
        </v-skeleton-loader>
        <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="table-head" style="width: 100px">
                  <div class="d-flex align-center">
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Status
                    </p>
                  </div>
                </th>
                <th class="table-head text-left">
                  <div style="width: 400px">
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Admin Name
                    </p>
                  </div>
                </th>
                <!-- <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Sale Orders
                    </p>
                  </div>
                </th>
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Sales Amount
                    </p>
                  </div>
                </th> -->
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Action
                    </p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(admin,i) in listAdmin" :key="admin._id">
                <td class="py-3">
                  <v-switch
                    @change="openDialogConfirm(admin)"
                    inset
                    v-model="admin.isActive"
                    class="mt-0"
                  >
                  </v-switch>
                </td>
                <td
                  class="py-3"
                  @click="$router.push(`/admin/users/detail/${admin._id}`)"
                >
                  <div class="flex items-center">
                    <div>
                      <p class="mb-0 text-sm text-gray-900">{{admin.name}}</p>
                      <p class="mb-0 text-sm text-gray-900">{{admin.email}}</p>
                    </div>
                    <div
                      class="bg-red-100 rounded-md py-1 px-2 ml-3"
                      v-if="!admin.isActive"
                    >
                      <p class="mb-0 text-red-500 text-xs font-semibold">
                        Deactive
                      </p>
                    </div>
                  </div>
                </td>
                <!-- <td class="py-3" @click="$router.push(`/admin/users/detail/${admin._id}`)">
                  <p class="mb-0 text-sm text-gray-900">
                    41
                  </p>
                </td>
                <td class="py-3" @click="$router.push(`/admin/users/detail/${admin._id}`)">
                  <p class="mb-0 text-sm text-gray-900">
                    $2,788
                  </p>
                </td> -->
                <td class="py-3">
                  <v-menu offset-y>
                    <template v-slot:activator="{ on, attrs }">
                      <v-btn icon small fab v-bind="attrs" v-on="on">
                        <v-icon> mdi-dots-horizontal </v-icon>
                      </v-btn>
                    </template>
                    <v-list class="py-0">
                      <v-list-item
                        class="cursor-pointer hover:bg-gray-200"
                        @click="openDialogViewDetail(admin)"
                      >
                        <v-list-item-title>
                          <p class="mb-0 text-xs text-neutral-900">
                            View Details
                          </p>
                        </v-list-item-title>
                      </v-list-item>
                      <v-divider></v-divider>
                      <!-- <v-list-item class="cursor-pointer hover:bg-gray-200">
                        <v-list-item-title>
                          <p class="mb-0 text-xs text-neutral-900">
                            Assign Payment
                          </p>
                        </v-list-item-title>
                      </v-list-item>
                      <v-divider></v-divider> -->
                    </v-list>
                  </v-menu>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div
          class="d-flex justify-center ma-4"
          v-if="listAdmin.length == 0 && !loadingTable"
        >
          <div>
            <div class="d-flex align-center justify-center">
              <img
                src="~/assets/images/payment/no-payment.png"
                alt=""
                width="136"
                height="136"
              />
            </div>
            <p
              class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold"
            >
              No Admin
            </p>
            <p class="mb-0 text-center text-xs text-gray-500">
              Add a new admin now
            </p>
          </div>
        </div>
        <div
          class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
          v-if="listAdmin.length && !loadingTable"
        >
          <v-pagination
            v-model="config.page"
            :length="totalPage"
            :total-visible="5"
            class="pagination"
          >
          </v-pagination>
          <div
            id="hideBottomInput"
            class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
          >
            <v-text-field
              dense
              outlined
              v-model.number="page"
              placeholder="Go to page"
            >
            </v-text-field>
            <div class="button-inside-input">
              <v-btn
                height="36px"
                color="#076CE3"
                class="px-0 button-inside-input__button elevation-0"
                @click="onRedirectPage()"
              >
                <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAddAdmin" :persistent="loading" max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Add new Admins
            </p>
            <span class="text-sm text-gray-900">
              Create new account for user & assign as a Admins
            </span>
          </div>
          <v-btn icon small @click="closeDialogAddAdmin()">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Email:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter email"
                v-model="seller.email"
              >
              </v-text-field>
            </div>
          </div>

          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-4 flex items-center">
              <p class="mb-0 text-sm text-neutral-900 leading-20 font-semibold">
                Password:
              </p>
            </div>
            <div class="col-span-12 md:col-span-8">
              <v-text-field
                dense
                outlined
                placeholder="Enter password"
                v-model="seller.password"
              >
              </v-text-field>
            </div>
          </div>
        </div>
        <v-divider></v-divider>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn
            color="#E5E7EB"
            outlined
            class="elevation-0 mr-3"
            height="44"
            @click="closeDialogAddAdmin()"
            :disabled="loading"
          >
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#3B82F6"
            class="elevation-0"
            height="44"
            @click="onAddAdmin()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#fff"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Add Admin
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogViewDetail" max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Admin Details
            </p>
            <span class="text-sm text-gray-900">
              Show information of an Admin
            </span>
          </div>
          <v-btn icon small @click="dialogViewDetail = false">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-store </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Admin Name:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.name}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-gmail </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Email:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail && sellerDetail.email &&
                sellerDetail.email.length > 22 ? sellerDetail.email.slice(0,25)
                + '...': sellerDetail.email}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-phone </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Phone Number:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.phoneNumber}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-gmail </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Email support:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.supportEmail}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-calendar-text </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Joined Date:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{sellerDetail.createdAt &&
                $utils.formatDateCreatedAt(sellerDetail.createdAt)}}
              </p>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogConfirm" persistent max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Confirm change status
            </p>
          </div>
          <v-btn icon small @click="closeDialogConfirm()" :disabled="loading">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <p class="mb-0 font-semibold text-content-main">
            Are you sure you want to
            <span>{{adminInfo.isActive ? 'unblock' : 'block'}}</span> this
            account?
          </p>
          <div class="d-flex justify-end align-center mt-6">
            <v-btn
              color="blue"
              outlined
              class="elevation-0 mr-3"
              :disabled="loading"
              @click="closeDialogConfirm()"
            >
              <span class="blue--text text-none"> Cancel </span>
            </v-btn>
            <v-btn
              color="blue"
              class="elevation-0"
              :disabled="loading"
              @click="onChangeStatus()"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span class="white--text text-none" v-else> Confirm </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
